import { IUseLoaderProps } from '@reactionable/core/lib/ui/loader/useLoader';
import { IUIProviderProps as ICoreUIContextProviderProps } from '@reactionable/core/lib/ui/UI';
import React from 'react';
import { IUseErrorAlertProps } from './alert/ErrorAlert';
import { IUseWarningAlertProps } from './alert/WarningAlert';
import { IUseConfirmationProps } from './confirmation/Confirmation';
import { IUseFormProps } from './form/Form';
import { IUseLayoutProps } from './layout/Layout';
import { IUseModalProps } from './modal/Modal';
import { IUseModalFormProps } from './modal/useModalForm';
import { IUseErrorNotificationProps } from './notification/ErrorNotification';
import { IUseSuccessNotificationProps } from './notification/SuccessNotification';
export declare type IUIProviderProps = ICoreUIContextProviderProps<IUseLoaderProps, IUseSuccessNotificationProps, IUseErrorNotificationProps, IUseErrorAlertProps, IUseWarningAlertProps, IUseConfirmationProps, IUseLayoutProps, IUseFormProps, IUseModalProps, IUseModalFormProps>;
export declare function useUIProviderProps(): IUIProviderProps;
export declare const UIContextProvider: (props?: React.PropsWithChildren<Partial<import("@reactionable/core").IProviderProps<{
    useLoader: import("@reactionable/core/lib/ui/loader/useLoader").IUseLoader<{
        isLoading?: boolean | undefined;
    }>;
    useSuccessNotification: import("@reactionable/core").IUseSuccessNotification<React.PropsWithChildren<import("@reactionable/core").INotificationProps>>;
    useErrorNotification: import("@reactionable/core").IUseErrorNotification<IUseErrorNotificationProps>;
    useErrorAlert: import("@reactionable/core").IUseErrorAlert<IUseErrorAlertProps>;
    useWarningAlert: import("@reactionable/core").IUseWarningAlert<IUseWarningAlertProps>;
    useConfirmation: import("@reactionable/core").IUseConfirmation<React.PropsWithChildren<import("@reactionable/core").IConfirmationProps>>;
    useLayout: import("@reactionable/core").IUseLayout<React.PropsWithChildren<import("@reactionable/core").ILayoutProps<import(".").IHeaderProps, import(".").IBodyProps, import(".").IFooterProps>>>;
    useForm: import("@reactionable/core").IUseForm<React.PropsWithChildren<import("./form/Form").IFormProps<any, any>>>;
    useModal: import("@reactionable/core").IUseModal<React.PropsWithChildren<import("@reactionable/core").IModalProps & import("react-bootstrap/esm/Modal").ModalProps & {
        body?: React.ReactNode;
        footer?: React.ReactNode;
    } & {
        Component?: React.ComponentClass<import("./modal/Modal").IModalProps, any> | React.FunctionComponent<import("./modal/Modal").IModalProps> | undefined;
    }>>;
    useModalForm: import("@reactionable/core").IUseModalForm<React.PropsWithChildren<import(".").IModalFormProps<any, any> & {
        Component?: React.ComponentClass<import(".").IModalFormProps<any, any>, any> | React.FunctionComponent<import(".").IModalFormProps<any, any>> | undefined;
    }>>;
}>>> | undefined) => JSX.Element;
