import { IListProps as ICoreListProps } from '@reactionable/core/lib/crud/list/List';
import { ComponentType, PropsWithChildren, ReactNode } from 'react';
export interface IListProps<Data> extends Omit<ICoreListProps<Data>, 'children'> {
    head: Array<ReactNode | string>;
    children: (data: Data) => ReactNode;
}
export declare type ListComponent<Data> = ComponentType<IListProps<Data>>;
export declare function List<Data>({ head, children, ...props }: PropsWithChildren<IListProps<Data>>): JSX.Element;
